Theme
Generate 3.0 (Replace Background)
POST
https://www.kkiai.com/ideogram/v1/ideogram-v3/replace-background
Use the Ideogram 3.0 model to synchronously generate images based on the given prompt and optional parameters.
For specific parameters, see the official documentation: https://developer.ideogram.ai/api-reference/api-reference/replace-background-v3
The returned image URLs are valid for 24 hours. Images cannot be accessed after this time.
Images have been reverse-proxied.
Request Parameters
Header Parameters
| Parameter | Type | Required | Description | Example |
|---|---|---|---|---|
Accept | string | Required | application/json | |
Authorization | string | Required | Bearer {{YOUR_API_KEY}} |
Body Parameters (multipart/form-data)
| Parameter | Type | Required | Description |
|---|---|---|---|
image | file | Required | Image being reprocessed (maximum size 10 MB); currently supports JPEG, WebP, and PNG formats only. |
prompt | string | Optional |
cURL Example
bash
curl --location --request POST 'https://www.kkiai.com/ideogram/v1/ideogram-v3/replace-background' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer ' \
--form 'image=@"C:\\Users\\Administrator\\Desktop\\example.png"' \
--form 'prompt="Add a forest in the background"'Response
🟢 200 Success
Response Body
| Parameter | Type | Required | Description |
|---|---|---|---|
code | integer | Required | |
message | string | Required | |
request_id | string | Required | |
data | object | Required | |
└ task_id | string | Required | |
└ task_status | string | Required | |
└ created_at | integer | Required | |
└ updated_at | integer | Required |
Response Example
json
{
"code": 0,
"message": "SUCCEED",
"request_id": "CjMT7WdSwWcAAAAAALvB3g",
"data": {
"task_id": "CjMT7WdSwWcAAAAAALvB3g",
"task_status": "submitted",
"created_at": 1733851336696,
"updated_at": 1733851336696
}
}